class ApplicationController < ActionController::Base
  # Prevent CSRF attacks by raising an exception.
  # For APIs, you may want to use :null_session instead.
  protect_from_forgery with: :exception

  def dspace_service
    @dspace_service ||= DspaceService.new(
        DspaceService.create_dspace_client(
          'https://portalmecdev.c3sl.ufpr.br:8443/rest',
          get_remote_authenticable_token
        )
    )
  end

  private

  def get_remote_authenticable_token
    session[:dspace_auth_token] || nil
  end
  
end
